commit da6b16d3ec808828e54218f26a9654c3b0c63228
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Oct 21 00:19:16 2022 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 41998460e75..43c15288d7c 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2022-10-20  Kewen Lin  <linkw@linux.ibm.com>
+
+	Backported from master:
+	2022-09-26  Kewen Lin  <linkw@linux.ibm.com>
+
+	PR target/96072
+	* config/rs6000/rs6000-logue.c (rs6000_emit_epilogue): Update the
+	condition for adding REG_CFA_DEF_CFA reg note with
+	frame_pointer_needed_indeed.
+
 2022-10-17  Pat Haugen  <pthaugen@linux.ibm.com>
 
 	PR target/99685
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 8b08eddd863..0f7d77c700e 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20221020
+20221021
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index fe2da634ac5..a1062409152 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2022-10-20  Kewen Lin  <linkw@linux.ibm.com>
+
+	Backported from master:
+	2022-09-26  Kewen Lin  <linkw@linux.ibm.com>
+
+	PR target/96072
+	* gcc.target/powerpc/pr96072.c: New test.
+
 2022-10-14  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:

